package com.example.myagenda

import android.content.Intent
import android.os.Bundle
import android.widget.Toast
import androidx.activity.enableEdgeToEdge
import androidx.appcompat.app.AppCompatActivity
import androidx.core.view.ViewCompat
import androidx.core.view.WindowInsetsCompat
import com.example.myagenda.databinding.ActivityActNewContatoBinding

class actNewContato : AppCompatActivity() {

    private lateinit var binding: ActivityActNewContatoBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityActNewContatoBinding.inflate(layoutInflater)
        setContentView(binding.root)
        val i = intent
        val db = DBHelper(this)

        binding.buttonSalvar.setOnClickListener {
            val nome = binding.editNome.text.toString()
            val endereco = binding.editEndereco.text.toString()
            val email = binding.editEmail.text.toString()
            val telefone = binding.editTelefone.text.toString().toInt()

            val res = db.inserirContato(nome, endereco, email, telefone)
            if (res > 0) {
                Toast.makeText(applicationContext, "Sucesso ao inserir: $res", Toast.LENGTH_SHORT).show()
                setResult(1, i)
                finish()
            }
            else {
                Toast.makeText(applicationContext, "Erro ao inserir: $res", Toast.LENGTH_SHORT).show()
                setResult(0, i)
            }

        }

        binding.buttonCancelar.setOnClickListener {
            finish()
        }

    }
}